export default class ModelsUtils {
  /**
   * Extrait l'ID de l'URI passée en paramètre
   * @param uri
   */
  static extractIdFromUri (uri: string): number|null {
    if(!uri) return null

    const partUri: Array<string> = uri.split('/')
    const id:any = partUri.pop()

    if(isNaN(id))
      throw new Error('id is not a number')

    return parseInt(id)
  }
}
